Bug 967079 - Fields are not cloned before calling readObject in SerializableCloner
Fields are not cloned before calling readObject in SerializableCloner
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.1.3
Assigned To: Brad Maxwell
:
Depends On:
Blocks: 1160449 965901 967085
  Show dependency treegraph
 
Reported: 2013-05-24 11:59 EDT by Brad Maxwell
Modified: 2014-11-25 03:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error in JBAS014154 (498.56 KB, text/x-log)
2014-03-19 13:35 EDT, kashi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBMAR-150 Major Resolved Fields are not cloned before calling readObject in SerializableCloner 2016-09-05 07:14 EDT

  None (edit)
Description Brad Maxwell 2013-05-24 11:59:00 EDT
Fields are not cloned before calling readObject in SerializableCloner 
https://issues.jboss.org/browse/JBMAR-150
Comment 2 Rostislav Svoboda 2013-06-07 05:49:31 EDT
QA_ACK granted, JBoss Marshalling 1.3.17.GA and 1.3.18.GA contains bug fixes only.
EAP 6.1.0 GA contains 1.3.16.GA

https://issues.jboss.org/browse/JBMAR/fixforversion/12320281
https://issues.jboss.org/browse/JBMAR/fixforversion/12320971
Comment 5 kashi 2014-03-19 13:32:44 EDT
Hi Brad,
        We are facing similiar issue
Caused by: java.lang.ClassCastException: org.jboss.marshalling.cloner.SerializingCloner$StepObjectOutput cannot be cast to java.io.ObjectOutputStream

Also attached is the server logs.

Kindly let us know if any patch is avaliable for the same.

Thanks
Kashinath
Comment 6 kashi 2014-03-19 13:35:19 EDT
Created attachment 876514 [details]
Error in JBAS014154
Comment 7 Ladislav Thon 2014-09-10 07:42:42 EDT
Is this still valid? Upstream JIRA indicates that this was fixed in Marshalling 1.3.17.GA, and EAP 6.1.1 shipped 1.3.18.GA.
Comment 9 Ladislav Thon 2014-11-25 03:58:57 EST
Verified with EAP 6.1.1 and EAP 6.1.3.CR1.

Note You need to log in before you can comment on or make changes to this bug.